%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


%define realname guppy


Name:		python-%{realname}
Version:	0.1.9
Release:	7%{?dist}
Summary:	A Python Programming Environment
Group:		Development/Languages
License:	MIT
URL:		http://guppy-pe.sourceforge.net/
Source0:	http://pypi.python.org/packages/source/g/%{realname}/%{realname}-%{version}.tar.gz
# Backported from upstream
Patch1:		python-guppy-0001-Work-with-big-endian-archs.patch
# Backported from upstream
Patch2:		python-guppy-0002-Preliminary-changes-to-cope-with-Python-version-2.7-.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	python-devel
BuildRequires:	python-setuptools-devel
Provides:	%{realname} = %{version}-%{release}


%description
Guppy-PE is a library and programming environment for Python, currently
providing in particular the Heapy subsystem, which supports object and heap
memory sizing, profiling and debugging. It also includes a prototypical
specification language, the Guppy Specification Language (GSL), which can be
used to formally specify aspects of Python programs and generate tests and
documentation from a common source.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1 -b .bigendian
%patch2 -p1 -b .py27


%build
%{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ANNOUNCE ANNOUNCE-0.1.5 ChangeLog PKG-INFO README
%{python_sitearch}/%{realname}/
%{python_sitearch}/%{realname}-%{version}-*.egg-info/


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Mar 05 2011 Peter Lemenkov <lemenkov@gmail.com> -  0.1.9-4
- Fixed work on BigEndian arches
- Fix for rhbz #679422 (backported from upstream's trunk)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Aug 14 2009 Peter Lemenkov <lemenkov@gmail.com> 0.1.9-1
- Initial package for Fedora
- Still no gsl-subpackage for emacs
